%define mod_name Encode-Locale
Name:           perl-%{mod_name}
Version:        1.05
Release:        14
Summary:        Determine the interfacing encoding
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  perl-interpreter, perl-generators, perl(ExtUtils::MakeMaker), perl(base)
BuildRequires:  perl(Encode) >= 2, perl(Encode::Alias), perl(Exporter), perl(strict)
BuildRequires:  perl(warnings), perl(I18N::Langinfo), perl(Test::More), perl(utf8)
BuildRequires:  make
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Encode) >= 2, perl(I18N::Langinfo), perl(warnings)

%description
The purpose of this Perl module is try determine what encodings should be used
when interfacing to various external interfaces.

%package        help
Summary:        Including man files for perl-%{mod_name}
Requires:       man
BuildArch:      noarch

%description    help
This contains man files for the using of perl-%{mod_name}.

%prep
%autosetup -n %{mod_name}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
%make_build pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Encode/

%files help
%{_mandir}/man3/*

%changelog
* Tue Dec 20 2022 huyubiao <huyubiao@huawei.com> - 1.05-14
- Add buildrequires make

* Tue Oct 25 2022 huyubiao <huyubiao@huawei.com> - 1.05-13
- define mod_name to opitomize the specfile

* Sat Sep 14 2019 wangjufeng<wangjufeng@huawei.com> - 1.05-12
- openEuler Debranding
